import java.util.Random;

public class ProbabilitySimulation {
    public static void main(String[] args) {
        int totalTrials = 10000; // 总试验次数
        double successProbability = 0.93; // 成功的概率（例如93%）
        int successCount = 0; // 成功的次数

        Random random = new Random();

        for (int i = 0; i < totalTrials; i++) {
            if (random.nextDouble() < successProbability) {
                successCount++; // 如果随机数小于成功概率，算作成功
            }
        }

        // 计算并输出成功率
        double actualSuccessRate = (double) successCount / totalTrials;
        System.out.println("总试验次数: " + totalTrials);
        System.out.println("成功次数: " + successCount);
        System.out.println("实际成功率: " + (actualSuccessRate * 100) + "%");
    }
}