import java.math.BigDecimal;

public class BigDecimalExample {
    public static void main(String[] args) {
        // 创建两个大浮点数
        BigDecimal num1 = new BigDecimal("12345678901234567890.1234567890");
        BigDecimal num2 = new BigDecimal("98765432109876543210.9876543210");

        // 加法
        BigDecimal sum = num1.add(num2);
        System.out.println("加法结果: " + sum);

        // 减法
        BigDecimal difference = num1.subtract(num2);
        System.out.println("减法结果: " + difference);

        // 乘法
        BigDecimal product = num1.multiply(num2);
        System.out.println("乘法结果: " + product);

        // 除法
        BigDecimal quotient = num1.divide(num2, 10, BigDecimal.ROUND_HALF_UP); // 保留10位小数
        System.out.println("除法结果: " + quotient);
    }
}