-- modules/bullet_damage_and_distance_limitation.lua
local utils = require("utils")
local config = utils.load_config("config.lua")

function bullet_damage_and_distance_limitation()
    local max_bullet_speed = config.bullet_damage_and_distance_limitation.max_bullet_speed
    local max_distance = config.bullet_damage_and_distance_limitation.max_distance
    local damage_multiplier = config.bullet_damage_and_distance_limitation.damage_multiplier

    set_bullet_speed(max_bullet_speed)
    set_max_distance(max_distance)
    set_damage_multiplier(damage_multiplier)
end

return bullet_damage_and_distance_limitation