-- main.lua
local no_recoil = require("modules/no_recoil")
local bullet_damage_and_distance_limitation = require("modules/bullet_damage_and_distance_limitation")
local gun_aid_scope_360_degrees_response_trigger = require("modules/gun_aid_scope_360_degrees_response_trigger")
local matching_mechanism = require("modules/matching_mechanism")
local self_move_speed_and_player_behavior_acceleration = require("modules/self_move_speed_and_player_behavior_acceleration")
local enemy_bullet_attack_reduce_damage_on_self = require("modules/enemy_bullet_attack_reduce_damage_on_self")
local my_character_bullet_damage_on_enemy_10_times = require("modules/my_character_bullet_damage_on_enemy_10_times")

function integrate_all_function()
    no_recoil()
    bullet_damage_and_distance_limitation()
    gun_aid_scope_360_degrees_response_trigger()
    matching_mechanism()
    self_move_speed_and_player_behavior_acceleration()
    enemy_bullet_attack_reduce_damage_on_self()
    my_character_bullet_damage_on_enemy_10_times()
end

-- Start integrating all functions
integrate_all_function()