// 创建玩家和目标
$player = new Player("Player", new Position(0, 0));
$target = new Player("Target", new Position(100, 100));

// 创建子弹
$bullet = new Bullet("Bullet", new Position(0, 0), 5, new Position(1, 0)); // 初始方向为水平向右

// 模拟追踪过程
for ($i = 0; $i < 20; $i++) {
    // 更新子弹方向
    updateBulletDirection($bullet, $target->position, 0.1);

    // 更新子弹位置
    $bullet->updatePosition();

    // 输出当前状态
    echo "Bullet position: (" . $bullet->position->x . ", " . $bullet->position->y . ")\n";
    echo "Bullet direction: (" . $bullet->direction->x . ", " . $bullet->direction->y . ")\n";
    echo "-----------------\n";

    // 模拟目标移动
    $target->position->x += 5;
    $target->position->y += 5;
}