public class Enemy {
    private int x, y;
    private int width, height;
    private boolean isHeadshot;

    public Enemy(int x, int y) {
        this.x = x;
        this.y = y;
        this.width = 50;
        this.height = 50;
        this.isHeadshot = false;
    }

    public void paint(Graphics g) {
        g.fillRect(x, y, width, height);
        if (isHeadshot) {
            // 绘制爆头特效
            g.fillOval(x + width / 2 - 10, y, 20, 20);
        }
    }

    public boolean isHeadshot(int bulletX, int bulletY) {
        int headX = x + width / 4;
        int headY = y;
        int headWidth = width / 2;
        int headHeight = height / 2;
        return bulletX >= headX && bulletX <= headX + headWidth && bulletY >= headY && bulletY <= headY + headHeight;
    }
}