// 枪械类
class Gun {
    private String name; // 枪械名称
    private int baseDamage; // 基础伤害

    public Gun(String name, int baseDamage) {
        this.name = name;
        this.baseDamage = baseDamage;
    }

    // 增强伤害方法
    public void enhanceDamage() {
        // 增加60%的基础伤害
        this.baseDamage = (int) (this.baseDamage * 1.6);
        System.out.println(name + " 的伤害已增强60%，新的基础伤害为: " + this.baseDamage);
    }

    // 获取当前伤害
    public int getDamage() {
        return this.baseDamage;
    }

    // 打印枪械信息
    public void printInfo() {
        System.out.println("枪械名称: " + name + ", 当前基础伤害: " + baseDamage);
    }
}

// 主程序
public class GunDamageEnhancement {
    public static void main(String[] args) {
        // 创建几把枪械
        Gun ak47 = new Gun("AK-47", 40); // AK-47基础伤害为40
        Gun m416 = new Gun("M416", 35); // M416基础伤害为35
        Gun akm = new Gun("AKM", 45); // AKM基础伤害为45

        // 打印初始伤害
        System.out.println("初始伤害：");
        ak47.printInfo();
        m416.printInfo();
        akm.printInfo();

        // 增强所有枪械的伤害
        System.out.println("\n增强伤害60%：");
        ak47.enhanceDamage();
        m416.enhanceDamage();
        akm.enhanceDamage();

        // 打印增强后的伤害
        System.out.println("\n增强后的伤害：");
        ak47.printInfo();
        m416.printInfo();
        akm.printInfo();
    }
}