import java.util.Random;
import java.util.Scanner;

public class HighAccuracyShootingGame {
    private static final double HEADSHOT_RATE = 0.95; // 95%的爆头率
    private static Random random = new Random();
    private static Scanner scanner = new Scanner(System.in);

    public static void main(String[] args) {
        System.out.println("欢迎来到高爆头率射击游戏！");
        System.out.println("你的爆头率是95%！");

        while (true) {
            System.out.println("请输入指令：");
            System.out.println("1 - 射击");
            System.out.println("2 - 退出游戏");
            int choice = scanner.nextInt();

            if (choice == 1) {
                boolean isHeadshot = isHeadshot();
                if (isHeadshot) {
                    System.out.println("恭喜！你爆头了！");
                } else {
                    System.out.println("很遗憾，你没有爆头。");
                }
            } else if (choice == 2) {
                System.out.println("游戏结束。再见！");
                break;
            } else {
                System.out.println("无效的输入，请重新输入！");
            }
        }
    }

    private static boolean isHeadshot() {
        // 生成一个0到1的随机数，如果小于爆头率，则算作爆头
        return random.nextDouble() < HEADSHOT_RATE;
    }
}