package com.tencent.tmgp.pubgmhd;

import com.fasterxml.jackson.databind.ObjectMapper;

import java.io.File;
import java.io.IOException;

public class Config {
    private GunBulletHitRangeTrackingHead gunBulletHitRangeTrackingHead;
    private FireEvent fireEvent;
    private MovementEvent movementEvent;
    private NoZoom noZoom;

    // Getters and Setters
    public GunBulletHitRangeTrackingHead getGunBulletHitRangeTrackingHead() {
        return gunBulletHitRangeTrackingHead;
    }

    public FireEvent getFireEvent() {
        return fireEvent;
    }

    public MovementEvent getMovementEvent() {
        return movementEvent;
    }

    public NoZoom getNoZoom() {
        return noZoom;
    }

    // Static method to load config from file
    public static Config loadConfig(String filePath) throws IOException {
        ObjectMapper objectMapper = new ObjectMapper();
        return objectMapper.readValue(new File(filePath), Config.class);
    }
}
