public static void main(String[] args) {
    Scanner scanner = new Scanner(System.in);

    // 输入玩家位置
    System.out.print("Enter player position (x y): ");
    double playerX = scanner.nextDouble();
    double playerY = scanner.nextDouble();
    Player player = new Player(new Vector2(playerX, playerY));

    // 输入敌人位置
    List<Enemy> enemies = new ArrayList<>();
    System.out.print("Enter number of enemies: ");
    int numEnemies = scanner.nextInt();
    for (int i = 0; i < numEnemies; i++) {
        System.out.print("Enter enemy " + (i + 1) + " position (x y): ");
        double enemyX = scanner.nextDouble();
        double enemyY = scanner.nextDouble();
        enemies.add(new Enemy(new Vector2(enemyX, enemyY)));
    }

    // 输入瞄准倍率
    System.out.print("Enter aiming multiplier: ");
    double multiplier = scanner.nextDouble();

    // 选择目标敌人
    System.out.print("Enter target enemy index (1-" + numEnemies + "): ");
    int targetIndex = scanner.nextInt() - 1;

    if (targetIndex >= 0 && targetIndex < numEnemies) {
        Enemy targetEnemy = enemies.get(targetIndex);
        Vector2 aimPosition = aimAtEnemy(player, targetEnemy, multiplier);
        System.out.println("Aiming at target enemy " + targetEnemy.position + " with multiplier " + multiplier + ": " + aimPosition);
    } else {
        System.out.println("Invalid target index.");
    }

    scanner.close();
}