import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

public class MainFX extends Application {
    @Override
    public void start(Stage primaryStage) {
        Canvas canvas = new Canvas(800, 600);
        GraphicsContext gc = canvas.getGraphicsContext2D();

        // 绘制玩家和敌人
        gc.strokeRect(400, 300, 10, 10); // 玩家位置
        gc.strokeRect(500, 400, 10, 10); // 敌人位置

        // 绘制瞄准点
        Vector2 aimPosition = new Vector2(450, 350); // 示例瞄准点
        gc.strokeRect(aimPosition.x, aimPosition.y, 10, 10);

        StackPane root = new StackPane();
        root.getChildren().add(canvas);

        Scene scene = new Scene(root, 800, 600);
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}