-- main.lua
local utils = require("utils")
local config = utils.load_config("config.lua")

local function print_menu()
    print("Select functions to enable:")
    print("1. No Recoil")
    print("2. Bullet Damage and Distance Limitation")
    print("3. Gun Aid Scope 360 Degrees Response Trigger")
    print("4. Matching Mechanism")
    print("5. Self Move Speed and Player Behavior Acceleration")
    print("6. Enemy Bullet Attack Reduce Damage on Self")
    print("7. My Character Bullet Damage on Enemy 10 Times")
    print("8. Enable All")
    print("0. Exit")
end

local function main()
    while true do
        print_menu()
        local choice = tonumber(io.read())
        if choice == 0 then
            break
        elseif choice == 1 then
            require("modules/no_recoil")()
        elseif choice == 2 then
            require("modules/bullet_damage_and_distance_limitation")()
        elseif choice == 3 then
            require("modules/gun_aid_scope_360_degrees_response_trigger")()
        elseif choice == 4 then
            require("modules/matching_mechanism")()
        elseif choice == 5 then
            require("modules/self_move_speed_and_player_behavior_acceleration")()
        elseif choice == 6 then
            require("modules/enemy_bullet_attack_reduce_damage_on_self")()
        elseif choice == 7 then
            require("modules/my_character_bullet_damage_on_enemy_10_times")()
        elseif choice == 8 then
            integrate_all_function()
        else
            print("Invalid choice. Please try again.")
        end
    end
end

main()